From 17e9da8d3c3c69f84e11c0457bd9fb8c4ee4274b Mon Sep 17 00:00:00 2001
From: Andrea Adami <andrea.adami@gmail.com>
Date: Tue, 17 Apr 2018 11:35:14 +0200
Subject: [PATCH] kexec.c: add guard around ENOTSUP

Fix

 kexec.c: In function 'main':
 kexec.c:1515:11: error: 'ENOTSUP' undeclared

Upstream-Status: Inappropriate [klibc specific]
Signed-off-by: Andrea Adami <andrea.adami@gmail.com>

---
 kexec/kexec.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/kexec/kexec.c b/kexec/kexec.c
index 32ae56c..0764e85 100644
--- a/kexec/kexec.c
+++ b/kexec/kexec.c
@@ -1517,6 +1517,7 @@ int main(int argc, char *argv[])
 					 */
 				case -EINVAL:
 				case -ENOEXEC:
+#ifndef __KLIBC__
 					 /*
 					  * ENOTSUP can be unsupported image
 					  * type or unsupported PE signature
@@ -1529,6 +1530,7 @@ int main(int argc, char *argv[])
 					  * kernel bug
 					  */
 				case -ENOTSUP:
+#endif
 					do_kexec_file_syscall = 0;
 					break;
 			}
